@import "../partials/mixins";
@import "../partials/variables";
@import "../partials/classes";

@import "./typography.scss";

.wx__table_cell_text_with_icon {
  display: flex;
  align-items: center;
  width: 266px;
  min-height: 56px;
  padding: 18px 8px !important;
  @extend .wx__text_body;
  @extend .wx__text_regular;
  color: $neutral__900;
  .copy_icon {
    font-size: 1.3rem;
    color: $neutral__700;
    margin-left: 11px;
    cursor: pointer;
  }
}

.wx__table_cell_focus_text {
  display: inline-flex;
  // flex-direction: column;
  // justify-content: center;
  width: 266px;
  min-height: 55px;
  color: $neutral__900;
  padding: 18px 8px !important;
  // span {
  @extend .wx__text_body;
  @extend .wx__text_strong;
  // }
}

.wx__table_cell_focus_text_with_sub {
  @extend .wx__table_cell_focus_text;
  .table_subtext {
    @extend .wx__text_small;
    @extend .wx__text_regular;
    color: $neutral__700;
  }
}

.wx__table_cell_focus_text_with_tags {
  @extend .wx__table_cell_focus_text;
  flex-direction: row;
  justify-content: start;
  align-items: center;
}

.wx__table_cell_link_with_subs {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 266px;
  min-height: 72px;
  padding: 8px;
  a {
    text-decoration: none;
    color: $primary__600;
    @extend .wx__text_body;
    @extend .wx__text_strong;
    &:hover {
      color: $primary__600;
    }
  }
  .table_subtext {
    display: flex;
    flex-direction: column;
    justify-content: center;
    @extend .wx__text_small;
    @extend .wx__text_regular;
    color: $neutral__700;
    span {
      margin: 4px 0;
    }
  }
}

.wx__table_cell_money {
  display: inline-flex;
  align-items: center;
  justify-content: end;
  width: 141px;
  min-height: 56px;
  text-align: end;
  padding: 18px 8px;
  @extend .wx__text_body;
  @extend .wx__text_regular;
}

.wx__table_cell_date {
  display: inline-flex;
  align-items: center;
  width: 266px;
  min-height: 56px;
  text-align: end;
  padding: 18px 8px;
  @extend .wx__text_body;
  @extend .wx__text_regular;
}

.wx__table_cell_phone {
  display: inline-flex;
  align-items: center;
  width: 187px;
  min-height: 56px;
  padding: 18px 8px;
  @extend .wx__text_body;
  @extend .wx__text_regular;
  .phone_icon {
    color: $neutral__700;
    margin-right: 10.5px;
  }
}

.wx__table_cell_multi-lines {
  // width: 266px;
  min-height: 56px;
  padding: 8px;
  @extend .wx__text_body;
  @extend .wx__text_regular;
}

.wx__table_cell_input_number {
  position: relative;
  width: 109.25px;
  min-height: 56px;
  border: 1px solid black;
  padding: 8px;
  input[type="number"] {
    width: 100%;
    height: 40px;
    padding: 8px;
    border: 1.5px solid $neutral__600;
    @extend .wx__rounded;
    &:focus {
      outline: none;
    }
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
    }
    // -moz-appearance: textfield;
  }
  .wx__plus_minus_btn {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    top: 15px;
    right: 18px;
    height: 25px;
    .plus,
    .minus {
      width: 22.5px;
      height: 12px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      border-radius: 2px;
      background-color: $neutral__200;
      &:hover {
        background-color: $neutral__400;
      }
      &:active {
        background-color: $neutral__500;
      }
    }
    .plus {
      margin-bottom: 0.5px;
    }
    .minus {
      margin-top: 0.5px;
    }
    user-select: none; /* supported by Chrome and Opera */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
  }
  /* Chrome, Safari, Edge, Opera */
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: value;
  background-color: green !important;
}

/* Firefox */
// input[type="number"] {
//
// }
.minus_test {
  padding: 4px 8px;
  background-color: goldenrod;
}

.wx__table_cell_input_edit {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 106px;
  min-height: 56px;
  padding: 0 18px 0 8px;
  border: 2px solid transparent;
  border-radius: 4px;
  transition: 0.3s;
  span {
    color: $neutral__700;
    display: none;
    cursor: pointer;
    // margin: 0 5px 0 0;
  }
  &:hover {
    span {
      color: $neutral__700;
      display: inline;
      // margin: 0 5px 0 0;
    }
  }
  &:active {
    border: 2px solid $primary__500;
  }
}

.wx__table_cell_tags {
  display: inline-flex;
  align-items: center;
  span {
    margin-left: 15px;
    cursor: pointer;
  }
}

.wx__table_cell_empty {
  width: 266px;
  min-height: 56px;
  padding: 8px;
  @extend .wx__text_body;
  @extend .wx__text_regular;
  border: 1px solid $neutral__500;
}
